Bug 19303 - Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address
Summary: Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_emai...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 16846 19304
  Show dependency treegraph
 
Reported: 2017-09-12 21:40 UTC by Jonathan Druart
Modified: 2018-01-16 12:21 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19303 - Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address (3.16 KB, patch)
2017-09-13 19:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19303: Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address (3.78 KB, patch)
2017-09-14 14:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19303: Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address (3.82 KB, patch)
2017-10-13 20:30 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 19303: Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address (3.34 KB, patch)
2018-01-02 08:28 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-09-12 21:40:57 UTC
This new Koha::Patron->first_valid_email_address already exists, it should be called directly.
Comment 1 Jonathan Druart 2017-09-13 19:42:48 UTC
Created attachment 67125 [details] [review]
Bug 19303 - Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address

This new Koha::Patron->first_valid_email_address already exists, it
should be called directly

Test plan:
With a logged in user who have an email address defined, send a basket.
The email should be marked sent by this email address
Comment 2 Jonathan Druart 2017-09-14 14:19:17 UTC
Created attachment 67137 [details] [review]
Bug 19303: Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address

This new Koha::Patron->first_valid_email_address already exists, it
should be called directly

Test plan:
- With a logged in user who have an email address defined, send a basket.
The email should be marked sent by this email address

- On the "Holds awaiting pickup", the email address must be displayed as well
Comment 3 David Bourgault 2017-10-13 20:30:49 UTC
Created attachment 68107 [details] [review]
Bug 19303: Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address

This new Koha::Patron->first_valid_email_address already exists, it
should be called directly

Test plan:
- With a logged in user who have an email address defined, send a basket.
The email should be marked sent by this email address

- On the "Holds awaiting pickup", the email address must be displayed as well

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 4 Josef Moravec 2018-01-02 08:28:15 UTC
Created attachment 70221 [details] [review]
Bug 19303: Move C4::Members::GetFirstValidEmailAddress to Koha::Patron->first_valid_email_address

This new Koha::Patron->first_valid_email_address already exists, it
should be called directly

Test plan:
- With a logged in user who have an email address defined, send a basket.
The email should be marked sent by this email address

- On the "Holds awaiting pickup", the email address must be displayed as well

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2018-01-02 15:12:56 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-01-16 12:21:52 UTC
Enhancement, skipping for 17.11.x.
Awesome work everybody!